#!/usr/bin/env node
'use strict';

const pkg = require('./../package.json');
const program = require('commander');

const th2mocker = require('./../src/application');

program
    .version(pkg.version, '-v, --version')
    .usage('[options] <specFilePath>')
    .option('-p, --port [portNumber]', 'OPTIONAL: Port the mock service will listen at. Defaults to 4000.')
    .option('-o, --output [path]', 'OPTIONAL: Output folder to generate the internal JSON format to.')
    .option('-m, --mock [path]', 'OPTIONAL: Mock data file path.')
    .option('-l, --logs [path]', 'OPTIONAL: External log file path.')
    .option('-lv, --level [value]', 'OPTIONAL: Log level - supports all Winston levels, defaults to debug.')
    .option('-n, --nova', 'OPTIONAL: Flag that toggles the NOVA mode, which manages the base path required changes.')
    .arguments('<specFilePath>')
    .action((specFilePath, options) => {
        th2mocker(specFilePath, options);
    })
    .parse(process.argv);
