'use strict';

/**
 * <p><code>Constants</code> object that contains all configuration / constant items allowed
 * on the application.</p>
 * @type {{}}
 */
const CONSTANTS = {
    CUSTOM_FN: 'x-th2-mocker-pre-fn',
    NOVA: {
        BUSINESS_UNIT: 'business-unit',
        GENERATOR_PROPERTIES: 'x-generator-properties'
    },
    SOCKET: {
        ALLOWED_TRANSPORTS: ['websocket', 'polling'],
        DEFAULT_TRANSPORT: 'websocket',
        DEFAULT_PING: 5000,
        EVENT: 'x-th2mocker-socket-response-event',
        FORMAT: 'x-th2mocker-socket-response-format',
        TRANSPORT: 'x-th2mocker-socket-transport',
        PING: 'x-th2mocker-socket-ping',
        INTERVAL: 'x-th2mocker-socket-publish-interval',
        SOCKET_LABEL: 'x-th2mocker-socket'
    }
};

module.exports = CONSTANTS;
